Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface PaintRable

All Known Implementing Classes:
  AffineRable8Bit, CompositeRable8Bit, FilterChainRable8Bit, FilterResRable8Bit, GraphicsNodeRable8Bit, PadRable8Bit

public interface PaintRable

Interface for Rable's that can more efficently represent there action as a paint method instead of a RenderedImage when going to a Graphics2D anyways.

Method Summary
`boolean` | `paintRable(java.awt.Graphics2D g2d)` Should perform the equivilent action as createRendering followed by drawing the RenderedImage.

Method Detail

### paintRable

    public boolean paintRable(java.awt.Graphics2D g2d)

  Should perform the equivilent action as createRendering followed by drawing the RenderedImage.

  Parameters:
    `g2d` - The Graphics2D to draw to.
  Returns:
    true if the paint call succeeded, false if for some reason the paint failed (in which case a createRendering should be used).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.